Loading...
Searching...
No Matches
Opm::BlackOilRateVector< TypeTag > Class Template Reference

Implements a vector representing mass, molar or volumetric rates for the black oil model. More...

`#include <blackoilratevector.hh>`

Inheritance diagram for Opm::BlackOilRateVector< TypeTag >:

## Public Member Functions

| BlackOilRateVector (Scalar value)
void | setMassRate (const ParentType &value, unsigned pvtRegionIdx=0)
| Set a mass rate of the conservation quantities.
void | setMolarRate (const ParentType &value, unsigned pvtRegionIdx=0)
| Set a molar rate of the conservation quantities.
template<class FluidState, class RhsEval>
void | setVolumetricRate (const FluidState &fluidState, unsigned phaseIdx, const RhsEval &volume)
| Set a volumetric rate of a phase.
template<class RhsEval>
BlackOilRateVector & | operator= (const RhsEval &value)
| Assignment operator from a scalar or a function evaluation.

## Detailed Description

template<class TypeTag>
class Opm::BlackOilRateVector< TypeTag >

Implements a vector representing mass, molar or volumetric rates for the black oil model.

This class is basically a Dune::FieldVector which can be set using either mass, molar or volumetric rates.

## Constructor & Destructor Documentation

## BlackOilRateVector()

template<class TypeTag>

Opm::BlackOilRateVector< TypeTag >::BlackOilRateVector | ( | Scalar | value | ) |

inline

## Member Function Documentation

## setMassRate()

template<class TypeTag>

void Opm::BlackOilRateVector< TypeTag >::setMassRate | ( | const ParentType & | value,
|  | unsigned | pvtRegionIdx = 0 )

inline

Set a mass rate of the conservation quantities.

Enthalpy is not taken into account seperately here. This means that it must be set to the desired value in the parameter.

Parameters

  value | The mass rate in (unit for areal fluxes)
  value | Value to use
  pvtRegionIdx | PVT region index to use

## setMolarRate()

template<class TypeTag>

void Opm::BlackOilRateVector< TypeTag >::setMolarRate | ( | const ParentType & | value,
|  | unsigned | pvtRegionIdx = 0 )

inline

Set a molar rate of the conservation quantities.

Enthalpy is not taken into account seperately here. This means that it must be set to the desired value in the parameter.

Parameters

  value | The new molar rate in
  value | Value to set to
  pvtRegionIdx | PVT region index to use

## setVolumetricRate()

template<class TypeTag>
template<class FluidState, class RhsEval>

void Opm::BlackOilRateVector< TypeTag >::setVolumetricRate | ( | const FluidState & | fluidState,
|  | unsigned | phaseIdx,
|  | const RhsEval & | volume )

inline

Set a volumetric rate of a phase.

The enthalpy transported into the domain is taken into account by this method.

Parameters

  fluidState | The thermodynamic state of the fluids which should be considered. The density and the composition of the considered phase must be specified before calling this method.
  phaseIdx | The index of the fluid phase for which the given amount of volume should be specified.
  volume | The volumetric rate of the fluid phase in (unit for areal fluxes)

The documentation for this class was generated from the following file:

- opm/models/blackoil/blackoilratevector.hh